try:
    import logging
    import os

    from lightning_utilities.core.imports import module_available

    from lightning_app import _root_logger  # noqa: F401
    from lightning_app import _logger  # noqa: F401

    from lightning_app import _console  # noqa: F401

    from lightning_app import formatter  # noqa: F401

    from lightning_app import __about__  # noqa: E402
    from lightning_app import components  # noqa: E402, F401
    from lightning_app.__about__ import *  # noqa: E402, F401, F403

    if not hasattr(__about__, "__version__"):
        from lightning_app.__version__ import version as __version__  # noqa: F401

    from lightning_app.core.app import LightningApp  # noqa: E402
    from lightning_app.core.flow import LightningFlow  # noqa: E402
    from lightning_app.core.work import LightningWork  # noqa: E402
    from lightning_app.utilities.packaging.build_config import BuildConfig  # noqa: E402
    from lightning_app.utilities.packaging.cloud_compute import CloudCompute  # noqa: E402

    if module_available("lightning_app.components.demo"):
        from lightning_app.components import demo  # noqa: F401

    from lightning_app import _PACKAGE_ROOT  # noqa: F401
    from lightning_app import _PROJECT_ROOT  # noqa: F401
    from lightning_app import __all__  # noqa: F401

except ImportError as err:

    from os import linesep
    from lightning_app import __version__
    msg = f'Your `lightning` package was built for `lightning_app==0.7.0`, but you are running {__version__}'
    raise type(err)(str(err) + linesep + msg)
